Announcement Announcement Module
Collapse
No announcement yet.
Errors validating xsd Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Errors validating xsd

    Hi, I'm trying to build a toy app, learning to use roo 1.2.1 and SpringSource Tool Suite 2.8.1.RELEASE.


    I'm having these validation problems popping up in the IDE:

    Referenced file Error Details.

    Code:
    The errors below were detected when validating the file "spring-beans-3.0.xsd" via the file "applicationContext-jpa.xml".  In most cases these errors can be detected by validating "spring-beans-3.0.xsd" directly.  However it is possible that errors will only occur when spring-beans-3.0.xsd is validated in the context of applicationContext-jpa.xml.
    Code:
    The errors below were detected when validating the file "spring-tool-3.0.xsd" via the file "applicationContext-jpa.xml".  In most cases these errors can be detected by validating "spring-tool-3.0.xsd" directly.  However it is possible that errors will only occur when spring-tool-3.0.xsd is validated in the context of applicationContext-jpa.xml.
    Code:
    The errors below were detected when validating the file "spring-context-3.0.xsd" via the file "applicationContext-jpa.xml".  In most cases these errors can be detected by validating "spring-context-3.0.xsd" directly.  However it is possible that errors will only occur when spring-context-3.0.xsd is validated in the context of applicationContext-jpa.xml.
    The applicationContext-jpa.xml file follows:

    Code:
    <?xml version="1.0" encoding="UTF-8"?>
    <beans:beans xmlns:beans="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.springframework.org/schema/data/jpa"
      xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd http://www.springframework.org/schema/data/jpa http://www.springframework.org/schema/data/jpa/spring-jpa.xsd">
    
      <repositories base-package="com.scanntech.coursemanager" />
    
    </beans:beans>
    This is very similar to the error posted here http://forum.springsource.org/showth...070#post400070, but the solution didn't work for me - I went with spring-data-jpa 1.1.0.RC1 and the error kept showing up.

    Code:
    <dependency>
                <groupId>org.springframework.data</groupId>
                <artifactId>spring-data-jpa</artifactId>
                <version>1.1.0.RC1</version>
    </dependency>
    I'm not sure if this is the correct forum to ask for this help, please point me in the right direction if in the wrong place.

    My pom.xml is attached.

    Many thanks for any help, Santiago

  • #2
    Hi

    I dont know if you solve your problem, but I has the same problem a few weeks ago. In my case, the problem was when deployed the app in a web server, detect a duplicate on the file xml that I used to declare the jpa repositories packages:


    Code:
    <?xml version="1.0" encoding="UTF-8"?>
    <beans 
    	xmlns="http://www.springframework.org/schema/beans" 
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:jpa="http://www.springframework.org/schema/data/jpa"
        xsi:schemaLocation="
    		http://www.springframework.org/schema/beans 
    		http://www.springframework.org/schema/beans/spring-beans-3.1.xsd
    		http://www.springframework.org/schema/data/jpa
       		http://www.springframework.org/schema/data/jpa/spring-jpa.xsd"
    >
    
    
    	<!-- Activate Spring Data JPA repository support -->
    	<!-- NOTE: This xml file can be removed completely after issue https://jira.springsource.org/browse/DATAJPA-69 is resolved -->
      	<jpa:repositories base-package="...data.repository" />
      	
    </beans>
    In my case the problem was simple: in the deployment assembly description i included the test files and classes:

    Attachment

    Deleting the line corresponding to the test classes it works.
    Attached Files

    Comment

    Working...
    X